UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

26 lines 853 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.activateContractEndpoint = void 0; const commonTypes_1 = require("../../commonTypes"); exports.activateContractEndpoint = { name: 'Activate Contract', description: 'Activate a specific contract by ID', queryName: 'Contracts_Activate', category: 'Contract Endpoints', type: 'pd', suffix: 'contracts/v1/contracts/{puuid}/special/{contract id}', method: 'POST', variables: new Map([ ['contract id', commonTypes_1.weakUUIDSchema.describe('The contract ID to activate')] ]), riotRequirements: { token: true, entitlement: true, clientVersion: true, clientPlatform: true }, responses: { '200': commonTypes_1.contractsResponse } }; //# sourceMappingURL=ActivateContract.js.map